replace                 package:base                 R Documentation

Replace Values in a Vector

Description:

     'replace' replaces the values in 'x' with indexes given in 'list'
     by those given in 'values'. If necessary, the values in 'values'
     are recycled.

Usage:

     replace(x, list, values)

Arguments:

       x: vector

    list: an index vector

  values: replacement values

Value:

     A vector with the values replaced.

Note:

     'x' is unchanged: remember to assign the result.

References:

     Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) _The New S
     Language_. Wadsworth & Brooks/Cole.

